#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    float n,m,z;
    float x;
    cin>>n>>m;
    z=2*(m+n-2)+(ceil((n-2)/2) * floor((m-2)/2))+(floor((n-2)/2) * ceil((m-2)/2));
    cout<<z;
    return 0;
}